{% extends "base.html" %}
{% load schedule_perms datetime markup %}

{% block page_name %}
    {{ meeting.title }} - 
    {% if schedule.date %}{{ schedule.date|strftime:"%Y-%m-%d" }}{% endif %}
    {% if schedule.room %}{{ schedule.room.title }} - {{ summit.title }}{% endif %}
{% endblock %}

{% block extrahead %}{{ block.super }}
<meta property="fb:app_id" content="310260202349342" />
<meta property="og:title" content="{{ meeting.title }}{% if schedule.date %} - {{ schedule.date|strftime:"%Y-%m-%d" }}{% endif %}{% if schedule.room %}{{ schedule.room.title }}{% endif %}" />
{% if meeting.description %}
<meta property="og:description" content="{{ meeting.description|linebreaks|striptags }}" />
{% endif %}
<meta property="og:url" content="http://summit.ubuntu.com{% url summit.schedule.views.meeting meeting.summit.name, meeting.id, meeting.name|default:'-' %}" />
<meta property="og:image" content="http://summit.ubuntu.com/media/images/cof_orange_hex1.png" />
<meta property="og:site_name" content="The Summit Scheduler" />
<meta property="og:type" content="article" />
<meta itemprop="name" content="{{ meeting.title }}{% if schedule.date %} - {{ schedule.date|strftime:"%Y-%m-%d" }}{% endif %}{% if schedule.room %}{{ schedule.room.title }}{% endif %}" />
<meta itemprop="description" content="{{ meeting.description|linebreaks|striptags }}" />
{% endblock %}

{% block sub_nav_links %}
    {% if meeting.private %}
        {% if meeting.private_key and meeting.private_key != '' %}
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.private_meeting meeting.summit.name, meeting.private_key, meeting.name|default:'-' %}">Shared URL</a></li>
        {% else %}
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.meeting meeting.summit.name, meeting.id, meeting.name|default:'-' %}+share">Share meeting</a></li>
        {% endif %}
    {% endif %}
    
    {% if meeting.spec_url %}
    {% else %}
        {% if summit_organizer %}
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.organizer_edit_meeting summit.name, meeting.id, meeting.name|default:'-' %}">Edit meeting</a></li>
        {% else %}
            {% if drafter %}
                <li><a class="sub-nav-item" href="{% url summit.schedule.views.edit_meeting summit.name, meeting.id, meeting.name|default:'-' %}">Edit meeting</a></li>
                <li><a class="sub-nav-item" href="{% url summit.schedule.views.attendee_review summit.name, meeting.id, meeting.name|default:'-' %}">Review attendees</a></li>
            {% endif %}
        {% endif %}
    {% endif %}
    {% if summit_organizer %}
        <li><a class="sub-nav-item" href="{% url summit.schedule.views.attendee_review summit.name, meeting.id, meeting.name|default:'-' %}">Review attendees</a></li>
    {% else %}
        {% if drafter %}
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.attendee_review summit.name, meeting.id, meeting.name|default:'-' %}">Review attendees</a></li>
        {% endif %}
    {% endif %}

    {% if user_is_attending %}
        {% if user_is_participating %}
            <li><a class="sub-nav-item" href="{% url summit.schedule.views.unregister meeting.summit.name, meeting.id, meeting.name|default:'-' %}">Skip this meeting</a></li>
        {% endif %}
    {% else %}
        {% if meeting.spec_url %}
            <li><a class="sub-nav-item" href="{{ meeting.spec_url }}/+subscribe">Subscribe to blueprint</a></li>
        {% endif %}
        <li><a class="sub-nav-item" href="{% url summit.schedule.views.attend_meeting meeting.summit.name, meeting.id %}">Attend this meeting</a></li>
    {% endif %}
    
    {% if meeting.spec_url %}
        <li><a class="sub-nav-item" href="{{ meeting.spec_url }}">Blueprint</a></li>
    {% endif %}
    {% if scheduler %}
        <li><a class="sub-nav-item" href="{% url summit.schedule.views.meeting_copy meeting.summit.name, meeting.id, meeting.name|default:'-' %}">Copy meeting</a></li>
    {% endif %}
	<li><a class="sub-nav-item" href="https://wiki.debconf.org/wiki/DebConf15/Videostream">DebConf video streams</a></li>
{% endblock %}

{% block content %}
<div class="row">
<section class="span-9">
    <h2>{{ meeting.title }} -- {{ meeting.drafter.name }}</h2>
    {% for ai in agenda_items %}
        <h3>{{ ai.slot }} in {{ ai.room.title }}</h3>
    {% endfor %}
    <div id="description">
        {{ meeting.description|markdown:'safe' }}
    </div>

</section>
<article class="span-3 last">
{% if not meeting.private and summit.social_media %}
<div class="share">
    <a href="http://www.reddit.com/submit" onclick="window.location = 'http://www.reddit.com/submit?url=' + encodeURIComponent(window.location); return false"> <img style="padding-bottom: 4px;"src="http://www.reddit.com/static/spreddit7.gif" alt="submit to reddit" border="0" /></a><br />
    <div id="fb-root"></div>
    <script>(function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) {return;}
        js = d.createElement(s); js.id = id;
        js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=310260202349342";
        fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));</script>
    <div class="fb-like" data-href="" data-send="false" data-layout="box_count" data-width="40" data-show-faces="false" data-font="arial"></div>
    <script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>
    <g:plusone size="tall"></g:plusone>
    <a href="http://twitter.com/share" class="twitter-share-button" data-count="vertical" data-lang="en">Tweet</a>
    <script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>
    <script src="http://www.stumbleupon.com/hostedbadge.php?s=5"></script>
</div>

{% endif %}
</article>
</div>
<div class="row">
<div class="span-12">
    {% if meeting.private %}
    <h3>WARNING: Contents of this pad may not be private, and may be searcheable by non-attendees!</h3>
    {% endif %}
    {% if summit.state == 'public' %}
    <iframe width=100% height=700 src="{{ meeting.edit_link_to_pad }}"></iframe>
    {% else %}
    <iframe width=100% height=700 src="{{ meeting.link_to_pad }}"></iframe>
    {% endif %}
</div>
</div>
<div class="row">
       {% ifnotequal meeting.type 'plenary' %}
    <div id="Attendees" class="span-5">
        <h3>Attendees</h3>
        {% for attendee in attendees %}
            <a href="http://launchpad.net/~{{ attendee.user.username }}">{% if attendee in required_attendees %}<strong>{% endif %}{{ attendee.name }}{% if attendee in required_attendees %}</strong>{% endif %}</a>{% if not forloop.last %}, {% endif %}
        {% endfor %}
    </div>
        {% endifnotequal %}
    <div class="span-4">
{% if summit_organizer %}
    {% include "schedule/admin.html" %}
{% endif %}
    </div>
    <div id="Links" class="span-3 last">
        <h3>Links</h3>
        <ul>
            <li><a href="{{meeting.link_to_pad}}" target="_new">Notes in a separate window</a></li>
            <li><a href="{{meeting.edit_link_to_pad}}" target="_new">Edit notes window</a></li>
            {% for ai in agenda_items %}
                {% if ai.room.icecast_url %}<li><a href="{{ ai.room.icecast_url }}" target="_new">Live audio for {{ ai.room.title }}</a></li>{% endif %}
            {% endfor %}
            {% if meeting.spec_url %}<li><a href="{{ meeting.spec_url }}">Blueprint</a></li>{% endif %}
            {% if meeting.wiki_url %}<li><a href="{{ meeting.wiki_url }}">Wiki page</a></li>{% endif %}
            {% for ai in agenda_items %}
                {% if ai.room.irc_channel %}
                    {% if summit.state == 'public' %}
                    <li><a href="{{ai.irc_log}}">IRC Logs for #{{ai.room.irc_channel}}</a></li>
                    {% else %}
                    <li><a href="{{ai.room.webchat_url}}">IRC Channel: #{{ai.room.irc_channel}}</a></li>
                    {% endif %}
                {% endif %}
            {% endfor %}

        </ul>
    </div>

</article>
</div>
{% endblock %}
